<?php
/* Mantenimiento de los registros de la tabla TR_RutaDetalle redefinidos por el usaurio */
class TR_RutaDetalleDP extends BaseTR_RutaDetalleDP
{
    public function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdRutaLinea ) IS NULL, 1, MAX( IdRutaLinea ) + 1 ) i_Id  FROM TR_RutaDetalle WHERE IdRuta='{$this->getIdRuta()}';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        $this->setIdRutaLinea( $i_Id );
        $this->setRutaSecuencia( $i_Id );
    }
}